# Set-RASClientSettings.md

## NAME

Set-RASClientSettings

## SYNOPSIS

Update RAS client settings.

## SYNTAX

\*\*Set-RASClientSettings \[[ForceSessionsReset](#forcesessionsreset-string) *(bool)*] \[-[OverlayIcon](#OverlayIcon) {None | ParallelsRemoteApplication | MicrosoftRemoteApp | Custom}] \[[ReplicateSendHDIcons](#replicatesendhdicons-string) *(bool)*] \[[SendHDIcons](#sendhdicons-string) *(bool)*] \[[ShowPasswordExpiry](#showpasswordexpiry-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[[TokenValidationExpireMin](#tokenvalidationexpiremin-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Update RAS client settings.

## PARAMETERS

## SiteId (uint)

The site ID.

To obtain the ID of a desired site, use the Get-Sites cmdlet.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SendHDIcons (bool)

Enable or disable Sending HD Icons.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ReplicateSendHDIcons (bool)

Enable or disable replicate Sending HD Icons.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## OverlayIcon ([OverlayIconType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/overlayicontype.md))

Overlay Icon

Possible values: None, ParallelsRemoteApplication, MicrosoftRemoteApp, Custom

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ShowPasswordExpiry (bool)

Show or hide Password Expiry reminder.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ForceSessionsReset (bool)

Enable or disable Force sessions reset when client performs a logoff.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TokenValidationExpireMin (uint)

Token Validation Time.

The time for a validation token to expire in minutes.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASClientSettings -EnableOverlayIcons $true

Updates the EnableOverlayIcons to true.

## RELATED LINKS

* [Set-RASHelpDeskEmailSettings](https://github.com/Parallels-Corp/RAS-20-docs/blob/origin/admin-guide-20.3-release/20_RAS-20_API_Guides/PS-API/MD/RASAdmin/cmdlets/Set-RASHelpDeskEmailSettings.md)
* [Set-RASProxySettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasproxysettings.md)
* [Set-RASSystemSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassystemsettings.md)
* [Get-RASClientSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientsettings.md)
* [Set-RASFarmSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasfarmsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
